(* Copyright (c) 2003 Michal Moskal <malekith@pld-linux.org>
   Licensed under the Academic Free License version 2.0 *)
{
open Yacc_parser
}

rule token = parse
    [' ' '\t' '\n' '\r']          { token lexbuf }     (* skip blanks *)
  | "("         { L_PAREN }
  | ")"         { R_PAREN }
  | "="         { EQ }
  | "=="        { EQ }
  | "!="        { NE }
  | "<="        { LE }
  | ">="        { GE }
  | "<"         { LT }
  | ">"         { GT }
  | "||"        { OR }
  | "&&"        { AND }
  | "!"         { NOT }
  | ['"' 'a' - 'z' 'A' - 'Z' '0' - '9' '_' '.']*  { VAL (Lexing.lexeme lexbuf) }
  | eof         { EOF }
  | _           { raise Parsing.Parse_error }
